﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.WinForms;

namespace _8619
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.Meter;

            LayerOverlay layerOverlay = new LayerOverlay();

            RectangleShape rect = new RectangleShape(0, 221, 256, 0);
            NativeImageRasterLayer layer = new NativeImageRasterLayer(@"..\..\AppData\testImage.jpeg", rect);
            layer.Open();

            RotationProjection rotate = new RotationProjection();
            rotate.Open();
            layer.ImageSource.Projection = rotate;

            layerOverlay.Layers.Add(layer);
            winformsMap1.Overlays.Add("overlay", layerOverlay);


            winformsMap1.CurrentExtent = new RectangleShape(-100, 500, 500, -100);
            winformsMap1.CurrentExtent = layer.GetBoundingBox();
            winformsMap1.Refresh();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            RotationProjection rotate = ((winformsMap1.Overlays["overlay"] as LayerOverlay).Layers[0] as NativeImageRasterLayer).ImageSource.Projection as RotationProjection;
            
            rotate.Angle += 10;

            winformsMap1.CurrentExtent = rotate.GetUpdatedExtent(winformsMap1.CurrentExtent);
            winformsMap1.Refresh();
        }
    }
}
